  SUBROUTINE tssub_advdifx_fourthorder(sal,temp   &

                                      ,c &

                                        )

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE tssub_advdifx_fourthorder  ***
!&E
!&E ** Purpose : Estimate of zonal fluxes of temperature and salinity
!&E              and other substances (advection and diffusion)
!&E              Advection uses a fourth order centered scheme equivalent
!&E
!&E ** Description : No horizontal diffusion at lower depths ( < hminkxky)
!&E                  - case of cyclicity in y : correct for eastward propagation,
!&E                    uncorrect for westward propagation (stencil not long enough)
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays : htx,hex,hx,fxeau,sal,temp,c(cv_wat),hzex,dx_u
!&E                     fsalx,ftempx,fx
!&E
!&E ** Modified variables : fsalx,ftempx,fx
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E           !  2010-10 (L. Debreu, T. Duhaut) original code
!&E           !  2016-04 (B.Thouvenin) applied to all substances (dissolved and particulate)
!&E
!&E---------------------------------------------------------------------































































   USE parameters, ONLY : rsh,kmax,liminm1,limaxp2,ljminm1,ljmaxp2
   REAL(KIND=rsh),DIMENSION(kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: sal,temp

   REAL(KIND=rsh),DIMENSION(kmax,kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: c




  END SUBROUTINE tssub_advdifx_fourthorder
